package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.BmsShipBillFeeDetailDTO;
import com.prolog.rdc.tms.model.dto.SettlementOrderDTO;
import com.prolog.rdc.tms.model.entity.BmsLogOperationModel;
import com.prolog.rdc.tms.model.vo.SettlementOrderUpdateVO;
import com.prolog.rdc.tms.model.vo.ArSettlementQueryVO;

import java.text.ParseException;
import java.util.List;

public interface CloseAccountService {

    Page<SettlementOrderDTO> findList(ArSettlementQueryVO vo) throws ParseException;

    SettlementOrderDTO detail(Long id);

    void update(SettlementOrderUpdateVO vo);

    void audit(List<Long> ids);

    List<BmsShipBillFeeDetailDTO> feeList(Long id);

    List<BmsLogOperationModel> findListForLog(Long id);

    void invalid(Long id);
}
